| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::BackgroundProcessResult Struct Reference
Core » Resources

Encapsulates the result of a background queue request. More...

`#include <OgreResourceBackgroundQueue.h>`

## Public Member Functions
| BackgroundProcessResult ()

## Public Attributes
bool | error
| Whether an error occurred. More...
String | message
| Any messages from the process. More...

## Detailed Description

Encapsulates the result of a background queue request.

## Constructor & Destructor Documentation

## ◆ BackgroundProcessResult()

Ogre::BackgroundProcessResult::BackgroundProcessResult | ( |  | ) |
| inline

## Member Data Documentation

## ◆ error

bool Ogre::BackgroundProcessResult::error

Whether an error occurred.

## ◆ message

String Ogre::BackgroundProcessResult::message

Any messages from the process.

The documentation for this struct was generated from the following file:

- OgreResourceBackgroundQueue.h